---
title: "Create budget version · Budgets · COUNT Partner API"
description: "Creates a new numbered version for the budget. POST /partners/budgets/{uuid}/versions"
canonical: "https://developers.getcount.com/reference/budgets/create-budget-version"
source: "https://developers.getcount.com/reference/budgets/create-budget-version"
---
[Budgets](https://developers.getcount.com/reference/budgets) / Create budget version

# Create budget version

POST `/partners/budgets/{uuid}/versions`

Creates a new numbered version for the budget.

HMAC signature + Bearer access token

[Try this request](https://developers.getcount.com/tools/try-it?method=POST&path=%2Fpartners%2Fbudgets%2F%7Buuid%7D%2Fversions&body=%7B%0A++%22label%22%3A+%22Q2+revision%22%0A%7D)

[Chart of Accounts API](https://developers.getcount.com/reference/chart-of-accounts) [Reports API](https://developers.getcount.com/reference/reports)

#### Path parameters

`uuid` uuid required

The budget UUID.

#### Request body

`label` string

Optional version label.

#### Responses

`201` Version created.

`404` Budget not found.

`401` Missing or invalid HMAC signature, expired timestamp, or invalid Bearer token. [Troubleshoot](https://developers.getcount.com/getting-started/errors#error-401)

`403` The credential does not have access to this workspace or resource. [Troubleshoot](https://developers.getcount.com/getting-started/errors#error-403)

`429` Rate limit exceeded (100 requests per minute per clientId). Retry after the Retry-After header. [Troubleshoot](https://developers.getcount.com/getting-started/errors#error-429)

[Previous GET List budget versions](https://developers.getcount.com/reference/budgets/list-budget-versions) [Next PATCH Update budget cells](https://developers.getcount.com/reference/budgets/update-budget-cells)

POST `https://api.getcount.com/partners/budgets/{uuid}/versions`

Request

```javascript
import crypto from 'node:crypto';

const BASE_URL = 'https://api.getcount.com';
const CLIENT_ID = process.env.COUNT_CLIENT_ID;
const CLIENT_SECRET = process.env.COUNT_CLIENT_SECRET;
const ACCESS_TOKEN = process.env.COUNT_ACCESS_TOKEN;

const method = 'POST';
const signingPath = '/budgets/3fa85f64-5717-4562-b3fc-2c963f66afa6/versions';
const timestamp = Math.floor(Date.now() / 1000).toString();
const body = {
  "label": "Q2 revision"
};
const bodyString = JSON.stringify(body);

const bodyHash = crypto.createHash('sha256').update(bodyString).digest('hex');
const baseString = `${method}:${signingPath}:${timestamp}:${bodyHash}`;
const signature = crypto.createHmac('sha256', CLIENT_SECRET).update(baseString).digest('hex');

const response = await fetch(`${BASE_URL}/partners/budgets/3fa85f64-5717-4562-b3fc-2c963f66afa6/versions`, {
  method,
  headers: {
    'x-client-id': CLIENT_ID,
    'x-timestamp': timestamp,
    'x-signature': signature,
    'Content-Type': 'application/json',
    Authorization: `Bearer ${ACCESS_TOKEN}`,
  },
  body: bodyString,
});

console.log(await response.json());
```

Response · 201

```json
{
  "status": "success",
  "message": "Success on creating budget version",
  "data": {
    "version": {
      "versionNumber": 2,
      "label": "Q2 revision",
      "isPublished": false,
      "createdAt": "2026-01-15T10:30:00.000Z"
    }
  }
}
```
